application:
  id: zenmap
  name: Zenmap
  description: A cross-platform GUI for the Nmap Security Scanner
  categories: 01-info-gathering;01-04-network-scanners;02-vulnerability-analysis;
container:
  type: docker
  origin:
    registry:
      url: https://registry.gitlab.com
      image: kalilinux/packages/zenmap-kbx/zenmap
build:
  docker:
    file: Dockerfile
packaging:
  revision: 2
install:
  desktop-files:
    - kaboxer-zenmap.desktop
  # We'll use the zenmap icon provided by the package kali-themes
  #extract-icon: /usr/local/share/zenmap/pixmaps/zenmap.png
components:
  default:
    run_mode: gui
    run_as_root: true
    executable: /usr/local/bin/zenmap
    mounts:
      - source: "~"
        target: "~"
    networks:
      - host
